# findScalaJar

@Nullable
open fun findScalaJar(classpath: Iterable<File>, appendix: String): @Nullable File

Searches the specified class path for a Scala Jar file (scala-compiler, scala-library, scala-jdbc, etc.) with the specified appendix (compiler, library, jdbc, etc.). If no such file is found, `null` is returned.

#### Return

a Scala Jar file with the specified appendix

#### Parameters

classpath

the class path to search

appendix

the appendix to search for